Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  trait TypeAdaptingTransformer extends AnyRef

  A trait usable by transforms that need to adapt trees of one type to another type

  A trait usable by transforms that need to adapt trees of one type to another type

  Definition Classes
    transform
- TypeAdapter

c

scala.tools.nsc.transform.TypeAdaptingTransformer

# TypeAdapter 

###

#### abstract class TypeAdapter extends AnyRef

Source
  TypeAdaptingTransformer.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TypeAdapter
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new TypeAdapter()

### Abstract Value Members

1.  abstract def typedPos(pos: Global.Position)(tree: Global.Tree): Global.Tree

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from (TypeAdaptingTransformer.this)#TypeAdapter to any2stringadd[(TypeAdaptingTransformer.this)#TypeAdapter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): ((TypeAdaptingTransformer.this)#TypeAdapter, B)
   Implicit
     This member is added by an implicit conversion from (TypeAdaptingTransformer.this)#TypeAdapter to ArrowAssoc[(TypeAdaptingTransformer.this)#TypeAdapter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def adaptToType(tree: Global.Tree, pt: Global.Type): Global.Tree

   Adapt `tree` to expected type `pt`.

   Adapt `tree` to expected type `pt`.

   tree

     the given tree

   pt

     the expected type

   returns

     the adapted tree

   Annotations
     @tailrec()
7.  final def applyMethodWithEmptyParams(qual: Global.Tree): Global.Apply
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  final def box(tree: Global.Tree): Global.Tree

   Box `tree` of unboxed type

10.  final def cast(tree: Global.Tree, pt: Global.Type): Global.Tree

    Generate a synthetic cast operation from tree.tpe to pt.

11.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
12.  def ensuring(cond: ((TypeAdaptingTransformer.this)#TypeAdapter) ⇒ Boolean, msg: ⇒ Any): (TypeAdaptingTransformer.this)#TypeAdapter
    Implicit
      This member is added by an implicit conversion from (TypeAdaptingTransformer.this)#TypeAdapter to Ensuring[(TypeAdaptingTransformer.this)#TypeAdapter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: ((TypeAdaptingTransformer.this)#TypeAdapter) ⇒ Boolean): (TypeAdaptingTransformer.this)#TypeAdapter
    Implicit
      This member is added by an implicit conversion from (TypeAdaptingTransformer.this)#TypeAdapter to Ensuring[(TypeAdaptingTransformer.this)#TypeAdapter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: ⇒ Any): (TypeAdaptingTransformer.this)#TypeAdapter
    Implicit
      This member is added by an implicit conversion from (TypeAdaptingTransformer.this)#TypeAdapter to Ensuring[(TypeAdaptingTransformer.this)#TypeAdapter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): (TypeAdaptingTransformer.this)#TypeAdapter
    Implicit
      This member is added by an implicit conversion from (TypeAdaptingTransformer.this)#TypeAdapter to Ensuring[(TypeAdaptingTransformer.this)#TypeAdapter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from (TypeAdaptingTransformer.this)#TypeAdapter to StringFormat[(TypeAdaptingTransformer.this)#TypeAdapter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  final def isMethodTypeWithEmptyParams(tpe: Global.Type): Boolean
24.  final def isPrimitiveValueMember(sym: Global.Symbol): Boolean
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
28.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      AnyRef → Any
30.  final def unbox(tree: Global.Tree, pt: Global.Type): Global.Tree

    Unbox `tree` of boxed type to expected type `pt`.

    Unbox `tree` of boxed type to expected type `pt`.

    tree

      the given tree

    pt

      the expected type.

    returns

      the unboxed tree

31.  final def unboxValueClass(tree: Global.Tree, clazz: Global.Symbol, underlying: Global.Type): Global.Tree
32.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
35.  def →[B](y: B): ((TypeAdaptingTransformer.this)#TypeAdapter, B)
    Implicit
      This member is added by an implicit conversion from (TypeAdaptingTransformer.this)#TypeAdapter to ArrowAssoc[(TypeAdaptingTransformer.this)#TypeAdapter] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from (TypeAdaptingTransformer.this)#TypeAdapter to any2stringadd[(TypeAdaptingTransformer.this)#TypeAdapter]

### Inherited by implicit conversion StringFormat from (TypeAdaptingTransformer.this)#TypeAdapter to StringFormat[(TypeAdaptingTransformer.this)#TypeAdapter]

### Inherited by implicit conversion Ensuring from (TypeAdaptingTransformer.this)#TypeAdapter to Ensuring[(TypeAdaptingTransformer.this)#TypeAdapter]

### Inherited by implicit conversion ArrowAssoc from (TypeAdaptingTransformer.this)#TypeAdapter to ArrowAssoc[(TypeAdaptingTransformer.this)#TypeAdapter]

### Ungrouped